Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remotecommand
Interface CommandConverter

All Known Implementing Classes:
  XMLCommandConverter

public interface CommandConverter

Purpose: Define a pluggable conversion interface that can be supplied by the application

Description: The implementation class of this interface should be set on the remote command manager through the setCommandConverter() method. The implementation class will get invoked, through its convertToTopLinkCommand(), to convert the application command format into a TopLink Command object that can be propagated throughout the cluster. Similarly, convertToUserCommand() will be invoked on the implementation class to give the application an opportunity to convert the TopLink Command object into an object that is suitable for being processed by the application.

Since:
  OracleAS TopLink 10g (9.0.4)
See Also:
  `Command`, `CommandManager`

Method Summary
`Command` | `convertToTopLinkCommand(java.lang.Object command)` PUBLIC: Convert a command from its application-specific format to a TopLink Command object.
`java.lang.Object` | `convertToUserCommand(Command command)` PUBLIC: Convert a TopLink Command object into its application-specific format to a

Method Detail

### convertToTopLinkCommand

    public Command convertToTopLinkCommand(java.lang.Object command)

  PUBLIC: Convert a command from its application-specific format to a TopLink Command object.
  Parameters:
    `command` - An application-formatted command
  Returns:
    The converted Command object that will be sent to remote services

### convertToUserCommand

    public java.lang.Object convertToUserCommand(Command command)

  PUBLIC: Convert a TopLink Command object into its application-specific format to a
  Parameters:
    `command` - An application-formatted command
  Returns:
    The converted Command object that will be sent to be remotely executed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD